openSUSE Security Update : nagios (nagios-1102)

High Nessus Plugin ID 40445


The remote openSUSE host is missing a security update.


A shell injection bug in nagios' statuswml.cgi CGI script has been fixed. CVE-2009-2288 has been assigned to this issue.


Update the affected nagios packages.

See Also

Plugin Details

Severity: High

ID: 40445

File Name: suse_11_1_nagios-090715.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2009/07/31

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:nagios, p-cpe:/a:novell:opensuse:nagios-devel, p-cpe:/a:novell:opensuse:nagios-www, cpe:/o:novell:opensuse:11.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/07/15

Exploitable With


Core Impact

Metasploit (Nagios3 statuswml.cgi Ping Command Execution)

Elliot (Nagios 3.1.0 RCE)

Reference Information

CVE: CVE-2009-2288

CWE: 78